<?php

# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: google/analytics/admin/v1alpha/resources.proto
namespace Google\Analytics\Admin\V1alpha;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\RepeatedField;
use Google\Protobuf\Internal\GPBUtil;
/**
 * A proposal for a link between a GA4 property and a Display & Video 360
 * advertiser.
 * A proposal is converted to a DisplayVideo360AdvertiserLink once approved.
 * Google Analytics admins approve inbound proposals while Display & Video 360
 * admins approve outbound proposals.
 *
 * Generated from protobuf message <code>google.analytics.admin.v1alpha.DisplayVideo360AdvertiserLinkProposal</code>
 */
class DisplayVideo360AdvertiserLinkProposal extends \Google\Protobuf\Internal\Message
{
    /**
     * Output only. The resource name for this
     * DisplayVideo360AdvertiserLinkProposal resource. Format:
     * properties/{propertyId}/displayVideo360AdvertiserLinkProposals/{proposalId}
     * Note: proposalId is not the Display & Video 360 Advertiser ID
     *
     * Generated from protobuf field <code>string name = 1 [(.google.api.field_behavior) = OUTPUT_ONLY];</code>
     */
    private $name = '';
    /**
     * Immutable. The Display & Video 360 Advertiser's advertiser ID.
     *
     * Generated from protobuf field <code>string advertiser_id = 2 [(.google.api.field_behavior) = IMMUTABLE];</code>
     */
    private $advertiser_id = '';
    /**
     * Output only. The status information for this link proposal.
     *
     * Generated from protobuf field <code>.google.analytics.admin.v1alpha.LinkProposalStatusDetails link_proposal_status_details = 3 [(.google.api.field_behavior) = OUTPUT_ONLY];</code>
     */
    private $link_proposal_status_details = null;
    /**
     * Output only. The display name of the Display & Video Advertiser.
     * Only populated for proposals that originated from Display & Video 360.
     *
     * Generated from protobuf field <code>string advertiser_display_name = 4 [(.google.api.field_behavior) = OUTPUT_ONLY];</code>
     */
    private $advertiser_display_name = '';
    /**
     * Input only. On a proposal being sent to Display & Video 360, this field
     * must be set to the email address of an admin on the target advertiser. This
     * is used to verify that the Google Analytics admin is aware of at least one
     * admin on the Display & Video 360 Advertiser. This does not restrict
     * approval of the proposal to a single user. Any admin on the Display & Video
     * 360 Advertiser may approve the proposal.
     *
     * Generated from protobuf field <code>string validation_email = 5 [(.google.api.field_behavior) = INPUT_ONLY];</code>
     */
    private $validation_email = '';
    /**
     * Immutable. Enables personalized advertising features with this integration.
     * If this field is not set on create, it will be defaulted to true.
     *
     * Generated from protobuf field <code>.google.protobuf.BoolValue ads_personalization_enabled = 6 [(.google.api.field_behavior) = IMMUTABLE];</code>
     */
    private $ads_personalization_enabled = null;
    /**
     * Immutable. Enables the import of campaign data from Display & Video 360.
     * If this field is not set on create, it will be defaulted to true.
     *
     * Generated from protobuf field <code>.google.protobuf.BoolValue campaign_data_sharing_enabled = 7 [(.google.api.field_behavior) = IMMUTABLE];</code>
     */
    private $campaign_data_sharing_enabled = null;
    /**
     * Immutable. Enables the import of cost data from Display & Video 360.
     * This can only be enabled if campaign_data_sharing_enabled is enabled.
     * If this field is not set on create, it will be defaulted to true.
     *
     * Generated from protobuf field <code>.google.protobuf.BoolValue cost_data_sharing_enabled = 8 [(.google.api.field_behavior) = IMMUTABLE];</code>
     */
    private $cost_data_sharing_enabled = null;
    /**
     * Constructor.
     *
     * @param array $data {
     *     Optional. Data for populating the Message object.
     *
     *     @type string $name
     *           Output only. The resource name for this
     *           DisplayVideo360AdvertiserLinkProposal resource. Format:
     *           properties/{propertyId}/displayVideo360AdvertiserLinkProposals/{proposalId}
     *           Note: proposalId is not the Display & Video 360 Advertiser ID
     *     @type string $advertiser_id
     *           Immutable. The Display & Video 360 Advertiser's advertiser ID.
     *     @type \Google\Analytics\Admin\V1alpha\LinkProposalStatusDetails $link_proposal_status_details
     *           Output only. The status information for this link proposal.
     *     @type string $advertiser_display_name
     *           Output only. The display name of the Display & Video Advertiser.
     *           Only populated for proposals that originated from Display & Video 360.
     *     @type string $validation_email
     *           Input only. On a proposal being sent to Display & Video 360, this field
     *           must be set to the email address of an admin on the target advertiser. This
     *           is used to verify that the Google Analytics admin is aware of at least one
     *           admin on the Display & Video 360 Advertiser. This does not restrict
     *           approval of the proposal to a single user. Any admin on the Display & Video
     *           360 Advertiser may approve the proposal.
     *     @type \Google\Protobuf\BoolValue $ads_personalization_enabled
     *           Immutable. Enables personalized advertising features with this integration.
     *           If this field is not set on create, it will be defaulted to true.
     *     @type \Google\Protobuf\BoolValue $campaign_data_sharing_enabled
     *           Immutable. Enables the import of campaign data from Display & Video 360.
     *           If this field is not set on create, it will be defaulted to true.
     *     @type \Google\Protobuf\BoolValue $cost_data_sharing_enabled
     *           Immutable. Enables the import of cost data from Display & Video 360.
     *           This can only be enabled if campaign_data_sharing_enabled is enabled.
     *           If this field is not set on create, it will be defaulted to true.
     * }
     */
    public function __construct($data = NULL)
    {
        \GPBMetadata\Google\Analytics\Admin\V1Alpha\Resources::initOnce();
        parent::__construct($data);
    }
    /**
     * Output only. The resource name for this
     * DisplayVideo360AdvertiserLinkProposal resource. Format:
     * properties/{propertyId}/displayVideo360AdvertiserLinkProposals/{proposalId}
     * Note: proposalId is not the Display & Video 360 Advertiser ID
     *
     * Generated from protobuf field <code>string name = 1 [(.google.api.field_behavior) = OUTPUT_ONLY];</code>
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Output only. The resource name for this
     * DisplayVideo360AdvertiserLinkProposal resource. Format:
     * properties/{propertyId}/displayVideo360AdvertiserLinkProposals/{proposalId}
     * Note: proposalId is not the Display & Video 360 Advertiser ID
     *
     * Generated from protobuf field <code>string name = 1 [(.google.api.field_behavior) = OUTPUT_ONLY];</code>
     * @param string $var
     * @return $this
     */
    public function setName($var)
    {
        GPBUtil::checkString($var, True);
        $this->name = $var;
        return $this;
    }
    /**
     * Immutable. The Display & Video 360 Advertiser's advertiser ID.
     *
     * Generated from protobuf field <code>string advertiser_id = 2 [(.google.api.field_behavior) = IMMUTABLE];</code>
     * @return string
     */
    public function getAdvertiserId()
    {
        return $this->advertiser_id;
    }
    /**
     * Immutable. The Display & Video 360 Advertiser's advertiser ID.
     *
     * Generated from protobuf field <code>string advertiser_id = 2 [(.google.api.field_behavior) = IMMUTABLE];</code>
     * @param string $var
     * @return $this
     */
    public function setAdvertiserId($var)
    {
        GPBUtil::checkString($var, True);
        $this->advertiser_id = $var;
        return $this;
    }
    /**
     * Output only. The status information for this link proposal.
     *
     * Generated from protobuf field <code>.google.analytics.admin.v1alpha.LinkProposalStatusDetails link_proposal_status_details = 3 [(.google.api.field_behavior) = OUTPUT_ONLY];</code>
     * @return \Google\Analytics\Admin\V1alpha\LinkProposalStatusDetails|null
     */
    public function getLinkProposalStatusDetails()
    {
        return $this->link_proposal_status_details;
    }
    public function hasLinkProposalStatusDetails()
    {
        return isset($this->link_proposal_status_details);
    }
    public function clearLinkProposalStatusDetails()
    {
        unset($this->link_proposal_status_details);
    }
    /**
     * Output only. The status information for this link proposal.
     *
     * Generated from protobuf field <code>.google.analytics.admin.v1alpha.LinkProposalStatusDetails link_proposal_status_details = 3 [(.google.api.field_behavior) = OUTPUT_ONLY];</code>
     * @param \Google\Analytics\Admin\V1alpha\LinkProposalStatusDetails $var
     * @return $this
     */
    public function setLinkProposalStatusDetails($var)
    {
        GPBUtil::checkMessage($var, \Google\Analytics\Admin\V1alpha\LinkProposalStatusDetails::class);
        $this->link_proposal_status_details = $var;
        return $this;
    }
    /**
     * Output only. The display name of the Display & Video Advertiser.
     * Only populated for proposals that originated from Display & Video 360.
     *
     * Generated from protobuf field <code>string advertiser_display_name = 4 [(.google.api.field_behavior) = OUTPUT_ONLY];</code>
     * @return string
     */
    public function getAdvertiserDisplayName()
    {
        return $this->advertiser_display_name;
    }
    /**
     * Output only. The display name of the Display & Video Advertiser.
     * Only populated for proposals that originated from Display & Video 360.
     *
     * Generated from protobuf field <code>string advertiser_display_name = 4 [(.google.api.field_behavior) = OUTPUT_ONLY];</code>
     * @param string $var
     * @return $this
     */
    public function setAdvertiserDisplayName($var)
    {
        GPBUtil::checkString($var, True);
        $this->advertiser_display_name = $var;
        return $this;
    }
    /**
     * Input only. On a proposal being sent to Display & Video 360, this field
     * must be set to the email address of an admin on the target advertiser. This
     * is used to verify that the Google Analytics admin is aware of at least one
     * admin on the Display & Video 360 Advertiser. This does not restrict
     * approval of the proposal to a single user. Any admin on the Display & Video
     * 360 Advertiser may approve the proposal.
     *
     * Generated from protobuf field <code>string validation_email = 5 [(.google.api.field_behavior) = INPUT_ONLY];</code>
     * @return string
     */
    public function getValidationEmail()
    {
        return $this->validation_email;
    }
    /**
     * Input only. On a proposal being sent to Display & Video 360, this field
     * must be set to the email address of an admin on the target advertiser. This
     * is used to verify that the Google Analytics admin is aware of at least one
     * admin on the Display & Video 360 Advertiser. This does not restrict
     * approval of the proposal to a single user. Any admin on the Display & Video
     * 360 Advertiser may approve the proposal.
     *
     * Generated from protobuf field <code>string validation_email = 5 [(.google.api.field_behavior) = INPUT_ONLY];</code>
     * @param string $var
     * @return $this
     */
    public function setValidationEmail($var)
    {
        GPBUtil::checkString($var, True);
        $this->validation_email = $var;
        return $this;
    }
    /**
     * Immutable. Enables personalized advertising features with this integration.
     * If this field is not set on create, it will be defaulted to true.
     *
     * Generated from protobuf field <code>.google.protobuf.BoolValue ads_personalization_enabled = 6 [(.google.api.field_behavior) = IMMUTABLE];</code>
     * @return \Google\Protobuf\BoolValue|null
     */
    public function getAdsPersonalizationEnabled()
    {
        return $this->ads_personalization_enabled;
    }
    public function hasAdsPersonalizationEnabled()
    {
        return isset($this->ads_personalization_enabled);
    }
    public function clearAdsPersonalizationEnabled()
    {
        unset($this->ads_personalization_enabled);
    }
    /**
     * Returns the unboxed value from <code>getAdsPersonalizationEnabled()</code>
     * Immutable. Enables personalized advertising features with this integration.
     * If this field is not set on create, it will be defaulted to true.
     *
     * Generated from protobuf field <code>.google.protobuf.BoolValue ads_personalization_enabled = 6 [(.google.api.field_behavior) = IMMUTABLE];</code>
     * @return bool|null
     */
    public function getAdsPersonalizationEnabledValue()
    {
        return $this->readWrapperValue("ads_personalization_enabled");
    }
    /**
     * Immutable. Enables personalized advertising features with this integration.
     * If this field is not set on create, it will be defaulted to true.
     *
     * Generated from protobuf field <code>.google.protobuf.BoolValue ads_personalization_enabled = 6 [(.google.api.field_behavior) = IMMUTABLE];</code>
     * @param \Google\Protobuf\BoolValue $var
     * @return $this
     */
    public function setAdsPersonalizationEnabled($var)
    {
        GPBUtil::checkMessage($var, \Google\Protobuf\BoolValue::class);
        $this->ads_personalization_enabled = $var;
        return $this;
    }
    /**
     * Sets the field by wrapping a primitive type in a Google\Protobuf\BoolValue object.
     * Immutable. Enables personalized advertising features with this integration.
     * If this field is not set on create, it will be defaulted to true.
     *
     * Generated from protobuf field <code>.google.protobuf.BoolValue ads_personalization_enabled = 6 [(.google.api.field_behavior) = IMMUTABLE];</code>
     * @param bool|null $var
     * @return $this
     */
    public function setAdsPersonalizationEnabledValue($var)
    {
        $this->writeWrapperValue("ads_personalization_enabled", $var);
        return $this;
    }
    /**
     * Immutable. Enables the import of campaign data from Display & Video 360.
     * If this field is not set on create, it will be defaulted to true.
     *
     * Generated from protobuf field <code>.google.protobuf.BoolValue campaign_data_sharing_enabled = 7 [(.google.api.field_behavior) = IMMUTABLE];</code>
     * @return \Google\Protobuf\BoolValue|null
     */
    public function getCampaignDataSharingEnabled()
    {
        return $this->campaign_data_sharing_enabled;
    }
    public function hasCampaignDataSharingEnabled()
    {
        return isset($this->campaign_data_sharing_enabled);
    }
    public function clearCampaignDataSharingEnabled()
    {
        unset($this->campaign_data_sharing_enabled);
    }
    /**
     * Returns the unboxed value from <code>getCampaignDataSharingEnabled()</code>
     * Immutable. Enables the import of campaign data from Display & Video 360.
     * If this field is not set on create, it will be defaulted to true.
     *
     * Generated from protobuf field <code>.google.protobuf.BoolValue campaign_data_sharing_enabled = 7 [(.google.api.field_behavior) = IMMUTABLE];</code>
     * @return bool|null
     */
    public function getCampaignDataSharingEnabledValue()
    {
        return $this->readWrapperValue("campaign_data_sharing_enabled");
    }
    /**
     * Immutable. Enables the import of campaign data from Display & Video 360.
     * If this field is not set on create, it will be defaulted to true.
     *
     * Generated from protobuf field <code>.google.protobuf.BoolValue campaign_data_sharing_enabled = 7 [(.google.api.field_behavior) = IMMUTABLE];</code>
     * @param \Google\Protobuf\BoolValue $var
     * @return $this
     */
    public function setCampaignDataSharingEnabled($var)
    {
        GPBUtil::checkMessage($var, \Google\Protobuf\BoolValue::class);
        $this->campaign_data_sharing_enabled = $var;
        return $this;
    }
    /**
     * Sets the field by wrapping a primitive type in a Google\Protobuf\BoolValue object.
     * Immutable. Enables the import of campaign data from Display & Video 360.
     * If this field is not set on create, it will be defaulted to true.
     *
     * Generated from protobuf field <code>.google.protobuf.BoolValue campaign_data_sharing_enabled = 7 [(.google.api.field_behavior) = IMMUTABLE];</code>
     * @param bool|null $var
     * @return $this
     */
    public function setCampaignDataSharingEnabledValue($var)
    {
        $this->writeWrapperValue("campaign_data_sharing_enabled", $var);
        return $this;
    }
    /**
     * Immutable. Enables the import of cost data from Display & Video 360.
     * This can only be enabled if campaign_data_sharing_enabled is enabled.
     * If this field is not set on create, it will be defaulted to true.
     *
     * Generated from protobuf field <code>.google.protobuf.BoolValue cost_data_sharing_enabled = 8 [(.google.api.field_behavior) = IMMUTABLE];</code>
     * @return \Google\Protobuf\BoolValue|null
     */
    public function getCostDataSharingEnabled()
    {
        return $this->cost_data_sharing_enabled;
    }
    public function hasCostDataSharingEnabled()
    {
        return isset($this->cost_data_sharing_enabled);
    }
    public function clearCostDataSharingEnabled()
    {
        unset($this->cost_data_sharing_enabled);
    }
    /**
     * Returns the unboxed value from <code>getCostDataSharingEnabled()</code>
     * Immutable. Enables the import of cost data from Display & Video 360.
     * This can only be enabled if campaign_data_sharing_enabled is enabled.
     * If this field is not set on create, it will be defaulted to true.
     *
     * Generated from protobuf field <code>.google.protobuf.BoolValue cost_data_sharing_enabled = 8 [(.google.api.field_behavior) = IMMUTABLE];</code>
     * @return bool|null
     */
    public function getCostDataSharingEnabledValue()
    {
        return $this->readWrapperValue("cost_data_sharing_enabled");
    }
    /**
     * Immutable. Enables the import of cost data from Display & Video 360.
     * This can only be enabled if campaign_data_sharing_enabled is enabled.
     * If this field is not set on create, it will be defaulted to true.
     *
     * Generated from protobuf field <code>.google.protobuf.BoolValue cost_data_sharing_enabled = 8 [(.google.api.field_behavior) = IMMUTABLE];</code>
     * @param \Google\Protobuf\BoolValue $var
     * @return $this
     */
    public function setCostDataSharingEnabled($var)
    {
        GPBUtil::checkMessage($var, \Google\Protobuf\BoolValue::class);
        $this->cost_data_sharing_enabled = $var;
        return $this;
    }
    /**
     * Sets the field by wrapping a primitive type in a Google\Protobuf\BoolValue object.
     * Immutable. Enables the import of cost data from Display & Video 360.
     * This can only be enabled if campaign_data_sharing_enabled is enabled.
     * If this field is not set on create, it will be defaulted to true.
     *
     * Generated from protobuf field <code>.google.protobuf.BoolValue cost_data_sharing_enabled = 8 [(.google.api.field_behavior) = IMMUTABLE];</code>
     * @param bool|null $var
     * @return $this
     */
    public function setCostDataSharingEnabledValue($var)
    {
        $this->writeWrapperValue("cost_data_sharing_enabled", $var);
        return $this;
    }
}
